Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class RemoveAttributesValuesImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.RemoveAttributesValuesImpl

All Implemented Interfaces:
  RemoveAttributesValues

    public class RemoveAttributesValuesImpl

extends java.lang.Object
implements RemoveAttributesValues

This class is used to remove attributes from an existing directory entry.

Version:
  $Revision: 1.7 $
Author:

Constructor Summary
`` | `RemoveAttributesValuesImpl()`
`protected` | `RemoveAttributesValuesImpl(LDAPClientApplicationImpl app)` Creates a new instance of RemoveAttributesValuesImpl

Method Summary
`EntryOptions` | `getEntryOptions()` Method to retrieve the options set for the entry
`STCEntry` | `getSTCEntry()` Method to retrieve the entry from which the attribute is to be removed
`boolean` | `performRemoveAttributesValues()` Method that performs the removal of the attribute from the entry
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveAttributesValuesImpl

    public RemoveAttributesValuesImpl()

### RemoveAttributesValuesImpl

    protected RemoveAttributesValuesImpl(LDAPClientApplicationImpl app)

  Creates a new instance of RemoveAttributesValuesImpl

  Parameters:
    `app` - The LDAP client application associated with this RemoveAttributesValuesImpl instance.

Method Detail

### reset

    public void reset()

  Description copied from interface: `RemoveAttributesValues`
  Method to reset the values

  Specified by:
    `reset` in interface `RemoveAttributesValues`

### getSTCEntry

    public STCEntry getSTCEntry()
                         throws LDAPApplicationException

  Method to retrieve the entry from which the attribute is to be removed

  Specified by:
    `getSTCEntry` in interface `RemoveAttributesValues`
  Returns:
    the STCEntry object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEntryOptions

    public EntryOptions getEntryOptions()
                                 throws LDAPApplicationException

  Method to retrieve the options set for the entry

  Specified by:
    `getEntryOptions` in interface `RemoveAttributesValues`
  Returns:
    the EntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performRemoveAttributesValues

    public boolean performRemoveAttributesValues()
                                          throws LDAPApplicationException

  Method that performs the removal of the attribute from the entry

  Specified by:
    `performRemoveAttributesValues` in interface `RemoveAttributesValues`
  Returns:
    true if the attribute was removed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server or any problem in executing the operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD